package steps

// |@@| F

import (
	"context"
	"gardening/src/dat/maes"
	"gardening/src/lib/maestro"
)

type PerformStep struct {
	Maestro *maestro.Maestro
}

func (this *PerformStep) Act(ctx context.Context, in *maes.PerformAnalyseMaeIn, out *maes.PerformAnalyseMaeOut) (bool, error) {
	this.Maestro.AddSuccessMessage(&out.Extra, "Analyse performed")
	return maestro.Continue()
}
